AI Sync

Voice

Update Voice Language Settings

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/voice-language/{agent_id}
Update Voice Language Settings
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/voice-language/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "model": "value",
  "volume": 0,
  "language": "value",
  "voice_id": "value",
  "voice_speed": 0,
  "voice_style": 0,
  "ambient_sound": "value",
  "voice_stability": 0,
  "voice_similarity": 0,
  "voice_temperature": 0,
  "language_switching": true,
  "ambient_sound_volume": 0
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Voice Language Settings#

Update voice/language settings..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

modelstringbody

send only when changing this field

voice_idstringbody

send only when changing this field

languagestringbody

send only when changing this field

ambient_soundstringbody

may be null. send only when changing this field

ambient_sound_volumenumberbody

One of: 0. min 0. max 1. send only when changing this field

language_switchingbooleanbody

send only when changing this field

voice_speednumberbody

One of: 0.7. min 0. max 1. send only when changing this field

voice_stabilitynumberbody

One of: 0. min 0. max 1. send only when changing this field

voice_similaritynumberbody

One of: 0. min 0. max 1. send only when changing this field

voice_stylenumberbody

One of: 0. min 0. max 1. send only when changing this field

voice_temperaturenumberbody

One of: 0. min 0. max 2. send only when changing this field

volumenumberbody

One of: 0. min 0. max 3. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/voice-language/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"model":"value","voice_id":"value","language":"value","ambient_sound":"value","ambient_sound_volume":"0","language_switching":true,"voice_speed":"0.7","voice_stability":"0","voice_similarity":"0","voice_style":"0","voice_temperature":"0","volume":"0"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records